stages:
  - build
  - deploy
  
build:
  stage: build
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw package
  artifacts:
    paths:
      - target/demo-0.0.1-SNAPSHOT.jar

deploy:
  stage: deploy
  script:
    - gem install dpl
    - dpl --provider=heroku --app=akhmetbekalisqr --api-key=$HEROKU_API_KEY
  only:
    - master
